Opened 5 years ago

Closed 5 years ago

#16439 closed defect (duplicate)

Pidgin 2.10.10 and openfire server login certificate problems

Reported by: vali233 Owned by: deryni
Milestone: Component: XMPP
Version: 2.10.10 Keywords: pidgin 2.10.10 openfire TLS certificate
Cc:

Description

The problem occured on version 2.10.10 only. When i try to login to my xmpp server (openfire 3.9.3), i receive an error "The certificate for (my domain) could not be validated. The certificate chain presented is invalid". On earlier versions of pidgin, for example 2.10.9, when i try to connect to my server, i receive a popup message (to view, accept or reject the server certificate). I choose "accept" and everything work fine, i am able to connect to my server.

The server certificates are the default ones (self signed).

Also, if i use an older version of pidgin (for exemple 2.10.9) and go to "tools-certificates" and save the certificate as a file, and later import manually this certificate to pidgin 2.10.10, i am able to connect to my server with pidgin 2.10.10. This version of pidgin (2.10.10) has problems when automatticaly import server certificates.

Sorry for my bad english.

Change History (1)

comment:1 Changed 5 years ago by datallah

  • Resolution set to duplicate
  • Status changed from new to closed

Closed as duplicate of #16412.

Note: See TracTickets for help on using tickets.
All information, including names and email addresses, entered onto this website or sent to mailing lists affiliated with this website will be public. Do not post confidential information, especially passwords!